# class PG::TextDecoder::TimestampWithTimeZone

### Constants

ISO_DATETIME_WITH_TIMEZONE

### Public Instance Methods

decode(string, tuple=nil, field=nil) click to toggle source

    # File lib/pg/text_decoder.rb, line 34
    def decode(string, tuple=nil, field=nil)
            if string =~ ISO_DATETIME_WITH_TIMEZONE
                    Time.new $1.to_i, $2.to_i, $3.to_i, $4.to_i, $5.to_i, "#{$6}#{$7}".to_r, "#{$8}:#{$9 || '00'}:#{$10 || '00'}"
            else
                    string
            end
    end